# TdApi.InlineKeyboardButtonType

Package it.ernytech.tdlib

## Class TdApi.InlineKeyboardButtonType

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InlineKeyboardButtonType

Direct Known Subclasses:
  `TdApi.InlineKeyboardButtonTypeBuy`, `TdApi.InlineKeyboardButtonTypeCallback`, `TdApi.InlineKeyboardButtonTypeCallbackGame`, `TdApi.InlineKeyboardButtonTypeSwitchInline`, `TdApi.InlineKeyboardButtonTypeUrl`

Enclosing class:
  TdApi

    public abstract static class TdApi.InlineKeyboardButtonType
    extends TdApi.Object

This class is an abstract base class. Describes the type of an inline keyboard button.

### Constructor Summary

Constructors
`InlineKeyboardButtonType()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### InlineKeyboardButtonType

    public InlineKeyboardButtonType()